Bug 148238 - net/quagga: multicast join failed
net/quagga: multicast join failed
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Sergey Matveychuk
Depends on:
  Show dependency treegraph
Reported: 2010-06-29 18:40 UTC by otim
Modified: 2010-09-09 21:40 UTC (History)
0 users

See Also:

file.diff (317 bytes, patch)
2010-06-29 18:40 UTC, otim
no flags Details | Diff
quagga.diff (1.11 KB, patch)
2010-06-30 05:05 UTC, boris
no flags Details | Diff
patch-configure.ac (1.66 KB, TEXT/PLAIN; charset=US-ASCII)
2010-09-09 21:34 UTC, if
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description otim 2010-06-29 18:40:06 UTC
quagga-0.99.16 when start protocol to routings on several interfaces >1, exists errors of the join multicast.

Jun 29 19:36:35 bras0 ripd[56694]: can't setsockopt IP_ADD_MEMBERSHIP Invalid argument
Jun 29 19:36:35 bras0 ripd[56694]: multicast join failed, interface em1 not running

Fix: quagga-0.99.15 patch-lib-sockopt.c

Patch attached with submission follows:
How-To-Repeat: ripd.conf

router rip
  version 2
  network em0
  network em1
  redistribute connected


interface em0
 ip address

interface em1
 ip address
Comment 1 Edwin Groothuis freebsd_committer 2010-06-29 18:40:21 UTC
Maintainer of net/quagga,

Please note that PR ports/148238 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:

Edwin Groothuis via the GNATS Auto Assign Tool
Comment 2 Edwin Groothuis freebsd_committer 2010-06-29 18:40:23 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 boris 2010-06-30 05:05:55 UTC
Agreed. Port patch attached


Comment 4 Mark Linimon freebsd_committer 2010-06-30 06:24:10 UTC
State Changed
From-To: feedback->open

Maintainer has replied with a patch.
Comment 5 melifaro 2010-07-27 22:17:41 UTC
Attached patch seems to solve the problem.

Can someone review/commit/do smthing with this PR?
In fact, completely broken OSPF is quite a serious issue.
Comment 6 mike 2010-08-19 14:09:09 UTC
The patch fixes OSPF for me as well on RELENG_8. Without it, ospfd 
does not see its neighbours.


Mike Tancsa,                                      tel +1 519 651 3400
Sentex Communications,                            mike@sentex.net
Providing Internet since 1994                    www.sentex.net
Cambridge, Ontario Canada                         www.sentex.net/mike
Comment 7 Sergey Matveychuk freebsd_committer 2010-08-24 17:58:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sem

Take it.
Comment 8 Mark Linimon freebsd_committer 2010-08-25 05:40:49 UTC
State Changed
From-To: open->closed

Superseded by ports/149940.
Comment 9 dfilter freebsd_committer 2010-08-25 09:00:26 UTC
niels       2010-08-25 08:00:03 UTC

  FreeBSD ports repository

  Modified files:
    net/quagga           Makefile distinfo 
  Added files:
    net/quagga/files     patch-configure.ac 
  Removed files:
    net/quagga/files     patch-configure 
  - Security update to version 0.99.17
  - This update also resolves functional problems of PR 148238 and 147970
  PR:             ports/149940
  PR:             ports/148238
  PR:             ports/147970
  Approved by:    itetcu (mentor, implicit), maintainer
  Submitted by:   mike@sentex.net, maintainer
  Security:       167953a4-b01c-11df-9a98-0015587e2cc1
  Security:       http://www.openwall.com/lists/oss-security/2010/08/24/3
  Revision  Changes    Path
  1.100     +3 -3      ports/net/quagga/Makefile
  1.26      +3 -3      ports/net/quagga/distinfo
  1.6       +0 -10     ports/net/quagga/files/patch-configure (dead)
  1.4       +57 -0     ports/net/quagga/files/patch-configure.ac (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 if 2010-09-09 21:34:52 UTC

ipv6 quagga interface is still broken.
patch in bugreport is ok, but the one in ports is wrong.
now attached right patch for ports.

Kind regards,
 	Ingo Flaschberger